Subject: Re: [eman] power inlets

From: Juergen Quittek <[email-masked]>
Date: Tue, 14 Jun 2011 15:44:16 +0000

Hi Benoit,

I am not really happy about the term 'inlet'. It just corresponds to
'outlet'. As I said in the previous version of the requirements draft,
The UPS Mib calls them 'input'.

I am not sure power source is the right term, because this is already taken
by the sourcing device. In PoE terminology a PoE switch is a Power Sourcing
Equipment (PSE). The inlet/input or whatever we want to call it is rather
not a source of power but just the inlet. And unfortunately, a power quality
you measure at an inlet is not necessarily the same as the one you measure
at the corresponding sourcing device.

Best regards,

    Juergen

Am 27.04.11 08:50 schrieb "Benoit Claise" unter <[email-masked]>:

> Juergen,
> 
> Thinking some more about this term "inlet", I believe that we should use
> the term ³power source² in the requirement draft as it¹s more generic to
> the pattern versus the implementation (inlet) on specific devices. The
> inlet can be used some use cases
> 
> Use Case X: Device with Multiple power Sources
> In this use case a device is powered by 1..N power sourcesŠ.etc
> Examples:
> PoE Device connected to two interfaces from two sources
> A PC with two power inlets plugged into two wall outlets
> A washing machine bank requiring 240V wired to two 120V sources
> 
> Regards, Benoit.
>> Dear all,
>> 
>> We are currently revising the eman requirements and discussing how to cover
>> devices with multiple power supplies.
>> 
>> A typical case is a server with dual main power supply. Often such servers
>> have their two power inlets connected to different power distribution trees
>> in order to be able to continue operation even when power fails in one power
>> distribution tree. Typically, servers do not just have two inlets, but two
>> full built-in power supply units. If one breaks, the other can take over.
>> 
>> I have thought about how to cover such servers in the requrements. My current
>> solution starts with the point that a powered device may have more than one
>> power inlet. Then the eman standard to be developed must provide means
>> (managed objects in MIB modules) for monitoring each power inlet
>> individually. This concerns monitoring of instantaneous power, consumed
>> energy, power quality, and maybe even just availability of power at an inlet.
>> 
>> Does anyone think this is a reasonable way to go? The inlet concept somehow
>> blurs the role of built-in power supply units.
>> 
>> Do we have better alternatives?
>> 
>> Thanks,
>> 
>>      Juergen
>> _______________________________________________
>> eman mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/eman
> 
> _______________________________________________
> eman mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eman

---

From: Benoit Claise <[email-masked]>
Date: Thu, 16 Jun 2011 14:24:26 +0200

Hi Juergen,

To me, power inlet and outlet correspond to physical connectors. So I 
could be fine if these terms are used in this context.
However, does the term power inlet apply to PoE? I don't think so.
So maybe we want to distinguish the two cases: PoE with Power Sourcing 
Device and non PoE with power inlet?

Regards, Benoit.
> Am 27.04.11 08:50 schrieb "Benoit Claise" unter<[email-masked]>:
>
>> Juergen,
>>

---

From: Juergen Quittek <[email-masked]>
Date: Fri, 17 Jun 2011 08:58:55 +0000

Dear Benoit,

I agree that power inlet and outlet correspond to physical connectors.
In case of PoE, it is the 8P8C (RJ45) socket at the device. Obviously, this
physical connector is the power inlet of a PoE powered device.

I checked the PoE terminology of 802.3af ant 802.3at.
There is no a conflicting term for this. They don't have particular terms
for power inlets and outlets. They talk about the power interface (PI) which
is used for power inlets as well as for power outlets.

So what we call a power inlet is in PoE term the
    "power interface (PI) at the powered device (PD)"
and what we call a power outlet is in PoE term the
  - "power interface (PI) at the power sourcing equipment (PSE)"

I think power inlet and power outlet are much shorter terms and easier to
parse than the long versions from the PoE standard. If needed, we can give a
mapping of our terms to PoE terms.

But anyway, the EMAN standards should be independent of the power supply
type. We will support arbitrary kinds of AC and DC power supply including
PoE. So we do not depend on just PoE terminology.

Thanks,

    Juergen